summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/the_silver_searcher/the_silver_searcher.SlackBuild8
-rw-r--r--system/the_silver_searcher/the_silver_searcher.info2
2 files changed, 5 insertions, 5 deletions
diff --git a/system/the_silver_searcher/the_silver_searcher.SlackBuild b/system/the_silver_searcher/the_silver_searcher.SlackBuild
index f10b3b9e5c..cdb0f910ca 100644
--- a/system/the_silver_searcher/the_silver_searcher.SlackBuild
+++ b/system/the_silver_searcher/the_silver_searcher.SlackBuild
@@ -60,14 +60,14 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
AC_SEARCH_OPTS="-I /usr/share/aclocal"
aclocal $AC_SEARCH_OPTS
@@ -83,8 +83,8 @@ CFLAGS="$SLKCFLAGS" \
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/system/the_silver_searcher/the_silver_searcher.info b/system/the_silver_searcher/the_silver_searcher.info
index bd3bf9c37c..0c7afd9fec 100644
--- a/system/the_silver_searcher/the_silver_searcher.info
+++ b/system/the_silver_searcher/the_silver_searcher.info
@@ -1,7 +1,7 @@
PRGNAM="the_silver_searcher"
VERSION="2.1.0"
HOMEPAGE="https://github.com/ggreer/the_silver_searcher"
-DOWNLOAD="https://github.com/ggreer/the_silver_searcher/archive/2.1.0.tar.gz"
+DOWNLOAD="https://github.com/ggreer/the_silver_searcher/archive/2.1.0/the_silver_searcher-2.1.0.tar.gz"
MD5SUM="b2413ce04009f160186aae18b2fc9357"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""